This forum is no longer active. Please post your questions to our new community site

Download older version of Rubystack

Subscribe to Download older version of Rubystack 6 post(s), 3 voice(s)

Avatar happs74 3 post(s)


I’m having problems with mongrel in the 1.5.2 version, is there anywhere I can get my hands on the 1.2 version. I have this running on another machine and want to install it on my new one but I can’t see anywhere to download earlier versions.

Cheers in advance


Avatar happs74 3 post(s)

S’cool, found a copy.

Avatar Beltrán Rueda Administrator 3,714 post(s)


Could you tell us what problems do you have using this new version? Thanks.

Avatar happs74 3 post(s)

I haven’t had time to fully test but so far I’ve found.

When Mongrel starts

=> Booting Mongrel….
=> Rails 2.1.1 app….
=> Call with -d…..
=> Ctrl-C to shutdown….

  • Starting Mongrel..
  • Starting Rails…
  • Rails Loaded…
  • Loading any Rai…
  • Signals…
    **Mongrel 1.1.5 avail…
  • Use CTRL-C…

with 1.5.2 I never see any of the lines starting with ‘**’

My first request to a new instance doesn’t appear in the output but when a refresh this seems to kick logging to life.
Doesn’t always respond to Ctrl-C, 50% of the time it does nothing, the other times it doesn’t display that it has cancelled by if you refresh the page it kicks logging to life and displays that it has cancelled. Similar to above logging seems to be getting clogged up.

Had a really wierd problem last night when I was editing .html.erb files, my edits didn’t appear to be picked up until i did another change and then it would display my previous edit. I was editing with Ultraedit which creates .bak files. As far as I could tell Rails seemed to be picking up the index.html.erb.bak rather than index.html.erb. This was confirmed when I switched the backups off. I realise how crazy that sounds but i don’t have any other explanation.

Apologies if this is a bit scattergun but I’m a bit busy just now to totally verify all the behaviour. (btw it was the windows installer).

I found a couple of patches that seemed to relate to 2 of the issues (Lack of Ctrl-C response, possible unwanted caching in dev mode) but didn’t have much joy in getting them to work (although that’s more likely down to my noobness).……

If you need anymore info just holler.

Avatar asperigus 4 post(s)


I read in changelog.txt

Version 1.5-0 2009-06-04
/* Updated gem sqlite3-ruby to 1.2.4 (linux, osx)
/* Updated gem sqlite3-ruby to 1.2.3 (mswin32)

Except my own installs have not found the gem.
(bitnami-rubystack-1.5-4, bitnami-rubystack-1.5-2)

Is it possible to download a previous version of rubystack?

Avatar Beltrán Rueda Administrator 3,714 post(s)


Sorry, sqlite3-ruby gem was not finally included in RubyStack-1.5-0 due to possible incompatibilities, we should investigate more deeply to ship this gem.